﻿using System;

namespace ConsolePlatformer
{
    class Game
    {
        public void run(LevelLoader loader)
        {
            System.Diagnostics.Stopwatch time = new System.Diagnostics.Stopwatch();
            time.Start();
            mLevel = new Level();
            mLevel.start(loader);
            while (!Input.exit)
            {
                Input.update(); //read user control
                if (time.ElapsedMilliseconds > 100)
                {
                    time.Restart();
                    mLevel.update();
                    Input.clearInputs();                                    
                }
                
            }
        }

        protected Level mLevel;
    }
}
