﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Pacman03_OOP
{
    class Player : MovingGameObject
    {
        public Player() { tag = TAG_PLAYER; }
        public override void draw()
        {
            System.Console.SetCursorPosition(position.x, position.y + 1);
            System.Console.Write('¤');
        }
        public override void allowMove()
        {
            System.Console.SetCursorPosition(position.x, position.y + 1);
            System.Console.Write(" ");

            base.allowMove();

            draw();
        }

        public override void update()
        {
            if (System.Console.KeyAvailable)
            {
                ConsoleKeyInfo keyinfo = System.Console.ReadKey(true);
                move.setNull();
                if (keyinfo.Key == ConsoleKey.LeftArrow)
                    move.x = -1;
                if (keyinfo.Key == ConsoleKey.RightArrow)
                    move.x = 1;
                if (keyinfo.Key == ConsoleKey.UpArrow)
                    move.y = -1;
                if (keyinfo.Key == ConsoleKey.DownArrow)
                    move.y = 1;
                if (keyinfo.Key == ConsoleKey.Escape)
                    System.Environment.Exit(0);
            }
        }

        public int score = 0;
    }
}
